Subject: Re: What's cooking in git.git (Jul 2016, #05; Wed, 13)

From: Eric Wong <[email-masked]>
Date: Sat, 16 Jul 2016 21:04:54 +0000

Lars Schneider <[email-masked]> wrote:
> > On 13 Jul 2016, at 18:56, Junio C Hamano <[email-masked]> wrote:
> > * ew/http-walker (2016-07-12) 3 commits
> > - http-walker: reduce O(n) ops with doubly-linked list
> > - http: avoid disconnecting on 404s for loose objects
> > - http-walker: remove unused parameter from fetch_object
> > 
> > Optimize dumb http transport on the client side.
> 
> It looks like as if this topic breaks the OS X build because 
> it defines LIST_HEAD. LIST_HEAD is already defined in 
> /usr/include/sys/queue.h. 

Oops, I suppose GIT_LIST_HEAD is an acceptable name?
(looks a bit like a refname, though...).

Or maybe CDS_LIST_HEAD (since I originally took it from the cds
namespace under urcu)

I also wonder where we use sys/queue.h, since I use
LIST_HEAD from ccan/list/list.h in a different project
without conflicts...

> See: https://travis-ci.org/git/git/jobs/145121761

Is there a way to get plain-text logs?  No JavaScript, here.
Thanks.